Description

The addTOCEntry sample script returns an ExecuteErrorException:

Running script addTOCEntry.
mainuteErrorException: main
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:557)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:520)
    at org.gvsig.scripting.impl.DefaultScriptingScript$ScriptTask.run(DefaultScriptingScript.java:664)
Caused by: java.lang.NoSuchMethodException: main
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:127)
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:532)
    ... 2 more
org.gvsig.scripting.ExecuteErrorException: main
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:557)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:520)
    at org.gvsig.scripting.impl.DefaultScriptingScript$ScriptTask.run(DefaultScriptingScript.java:664)
Caused by: java.lang.NoSuchMethodException: main
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngineStript addTOCEntry aborted.

History
#1 - 07/28/2017 09:56 AM - Óscar Martínez

We can't replicate this error. Could you give us more info? We tried and it works well.

#2 - 07/28/2017 10:16 AM - Antonio Falciano

Óscar Martínez wrote:

We can't replicate this error. Could you give us more info? We tried and it works well.

Hi Óscar,
I've just tried in the latest testing build (2829), executing the script from the Script launcher, and no ToC entry was added. This is what I see in the log:

ERROR 229365 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - org.gvsig.scripting.CompileErrorException:
ImportError: No module named commonsdialog in <script> at line number 4
org.gvsig.scripting.CompileErrorException: ImportError: No module named commonsdialog in <script> at line number 4
    at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:451)
    at org.gvsig.scripting.swing.impl.DefaultJScriptingLauncher.actionPerformed(DefaultJScriptingLauncher.java:97)
    at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser.fireDefaultAction(DefaultJScriptingBrowser.java:344)
    at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser.access$000(DefaultJScriptingBrowser.java:45)
    at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser$2.mouseClicked(DefaultJScriptingBrowser.java:271)
    at java.awt.AWTEventMulticaster.mouseClicked(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)
Caused by: javax.script.ScriptException: ImportError: No module named commonsdialog in <script> at line number 4
    at org.python.jsr223.MyPyScriptEngine.scriptException(MyPyScriptEngine.java:209)
    at org.python.jsr223.MyPyScriptEngine.eval(MyPyScriptEngine.java:43)
    at org.python.jsr223.MyPyScriptEngine.access$300(MyPyScriptEngine.java:20)
    at org.python.jsr223.MyPyScriptEngine$PyCompiledScript.eval(MyPyScriptEngine.java:237)
    at javax.script.CompiledScript.eval(Unknown Source)
    at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:443)
    ... 37 more
Caused by: Traceback (most recent call last):
  File "<script>", line 4, in <module>
ImportError: No module named commonsdialog

    at org.python.core.Py.ImportError(Py.java:330)
    at org.python.core.imp.import_first(imp.java:859)
    at org.python.core.imp.import_module_level(imp.java:953)
    at org.python.core.imp.importName(imp.java:1041)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1132)
    at org.python.core.imp.importFrom(imp.java:1108)
    at org.python.pycode._pyx37.f$0(<script>:11)
    at org.python.pycode._pyx37.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:167)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.Py.runCode(Py.java:1401)
    at org.python.core.__builtin__.eval(__builtin__.java:497)
    at org.python.core.__builtin__.eval(__builtin__.java:501)
    at org.python.util.PythonInterpreter.eval(PythonInterpreter.java:259)
    at org.python.jsr223.MyPyScriptEngine.eval(MyPyScriptEngine.java:41)
    ... 41 more

It's very easy to fix. Update the import at the 4th line:

from commonsdialog import msgbox

to:

from gvsig.commonsdialog import msgbox

#3 - 08/01/2017 11:16 AM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#4 - 08/03/2017 12:53 PM - Óscar Martínez
- Status changed from New to Fixed

#5 - 08/03/2017 04:51 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)

#6 - 08/07/2017 09:56 PM - Antonio Falciano
- Status changed from Fixed to Closed
